/*
	PK23FLSH.C

	This program flashes the LEDs of the PK2300 controller. The two LEDs have
	different flash rates.
*/

#use vdriver.lib

main() {
	VdInit();
	for (;;) {
		costate {
			outport(0x4141,1);
			waitfor(DelayMs(400));
			outport(0x4141,0);
			waitfor(DelayMs(550));
		}
		costate {
			outport(0x4142,1);
			waitfor(DelayMs(600));
			outport(0x4142,0);
			waitfor(DelayMs(380));
		}
	}
}